Template:Future

From wiki.railML.org
Jump to: navigation, search


Usage

This template can be used to mark articles with contents refering to future railML® versions. This is necessary because the claim of this wiki is to represent the current shema. Generally speaking, information on future versions should be removed, but especially just prior to a new release it can be too puristic to avoid any prospects.

To mark information on future versions include {{Template:Future}} into the source code. When the new version is published, please remember to check Category:Future and remove obsolete instances of this template.

Articles, where this template is included, are listed in Category:Future.

For other templates see Category:Template.

Options

This template has there named parameters.

The arguments are

  • version: obligatory; the version to which the content refers
  • unit: optional; the scope of the text on future versions: does it affect the complete article or only e.g. a section or paragraph? The defult is Article.
  • user: Your signature. For convenience, use user=~~~~

Examples

Under version 2.3,

{{future|version=3.0}}

delivers

Sunrise.png This article contains information that is only valid for a future railML® version. The article refers to version 3.0, whereas the current railML® version is 2.3.
{{future|version=3.0|unit=section|user=~~~~}}

delivers

Sunrise.png This section contains information that is only valid for a future railML® version. The section refers to version 3.0, whereas the current railML® version is 2.3. Ferri Leberl (talk) 20:03, 19 October 2017 (CEST)
{{future|version=2.3|unit=section|user=~~~~}}

delivers

Sunrise.png This instance of Template:Future seems to be obsolete. Please check, if this section contains information that is only vallid for future railML® versions. If this is not the case, feel free to remove this template. Don't forget to check Category:Future if there are more obsolete instances. Ferri Leberl (talk) 20:03, 19 October 2017 (CEST)